using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.IO;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Threading;
using Telerik.Web.UI.Upload;

public partial class ProgressAreaOnLoad_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		RadProgressArea1.Localization["CurrentFileName"] = "Processing item:";
		RadProgressArea1.Localization["UploadedFiles"] ="Processed items: ";
		RadProgressArea1.Localization["TotalItems"] = "Total items: ";
		RadProgressArea1.Localization["Uploaded"] = "Uploaded ";
	}

	protected void Button1_Click(object sender, EventArgs e)
	{
		int dummyTotalNumber = 200;

		RadProgressContext progress = RadProgressContext.Current;

		for (int i = 0; i < dummyTotalNumber; i++)
		{
			Thread.Sleep(30);
			decimal percentComplete = (decimal)(i * 100 / dummyTotalNumber);

			//Set the current RadProgressContext values which will be serialized on the client:
			progress["PrimaryTotal"] = string.Format("{0} items", dummyTotalNumber);
			progress["PrimaryValue"] = string.Format("{0} items", i);
			progress["PrimaryPercent"] = Math.Round(percentComplete).ToString();
			progress["CurrentOperationText"] = i.ToString();
		}

		//Set the final RadProgressContext values which will be serialized on the client:
		progress["PrimaryTotal"] = string.Format("{0} bytes", dummyTotalNumber);
		progress["PrimaryValue"] = string.Format("{0} bytes", dummyTotalNumber);
		progress["PrimaryPercent"] = "100";
		progress["CurrentOperationText"] = "";

		RadProgressArea1.Localization["CurrentFileName"] = "Processing complete";

		RadProgressArea1.ProgressIndicators = ProgressIndicators.TotalProgress |
			ProgressIndicators.TotalProgressBar |
			ProgressIndicators.TotalProgressPercent |
			ProgressIndicators.CurrentFileName |
			ProgressIndicators.RequestSize;

		StringWriter writer = new StringWriter();

		progress.Serialize(writer);

		string script = string.Format(@"{1};Sys.Application.add_load(function(){{$find(""{0}"").update(rawProgressData);}});", 
			RadProgressArea1.ClientID, writer.GetStringBuilder().ToString());

		ClientScript.RegisterStartupScript(this.GetType(), "displayProgressAreas", script, true);
	}
}
